---
title: CSSNumericArray
slug: Web/API/CSSNumericArray
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericArray
  - CSSNumericValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSNumericArray</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}}  contains a list of {{domxref("CSSNumericValue")}} objects.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("CSSNumericArray.length")}} {{ReadOnlyInline}}</dt>
 <dd>Returns how many {{domxref("CSSNumericValue")}} objects are contained within the <code>CSSNumericArray</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssnumericarray','CSSNumericArray')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericArray")}}</p>
